
From: "Antonino A. Daplas" <adaplas@hotpop.com>

This corruption (underscores) is due to the cursor of a not visibile
console being drawn on the foreground display.  The console layer should
decide when and where to draw the console but, for now, a simple workaround
is to disallow drawing of the fbcon cursor if the console is not visible.

Signed-off-by: Antonino  Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/console/fbcon.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/console/fbcon.c~fbdev-screen-corruption-fix drivers/video/console/fbcon.c
--- 25/drivers/video/console/fbcon.c~fbdev-screen-corruption-fix	2005-01-22 23:24:41.432938096 -0800
+++ 25-akpm/drivers/video/console/fbcon.c	2005-01-22 23:24:41.438937184 -0800
@@ -1088,7 +1088,7 @@ static void fbcon_cursor(struct vc_data 
 	int y = real_y(p, vc->vc_y);
  	int c = scr_readw((u16 *) vc->vc_pos);
 
-	if (fbcon_is_inactive(vc, info))
+	if (fbcon_is_inactive(vc, info) || !CON_IS_VISIBLE(vc))
 		return;
 
 	ops->cursor_flash = 1;
_
